# MPI_File_iwrite_at

Nonblocking write using explict offset

## Synopsis

    #ifdef HAVE_MPI_GREQUEST
    #include "mpiu_greq.h"
    #endif

    int MPI_File_iwrite_at(MPI_File mpi_fh, MPI_Offset offset, void *buf,
                           int count, MPI_Datatype datatype,
                           MPIO_Request *request)

## Input Parameters

fh
  file handle (handle)

offset
  file offset (nonnegative integer)

buf
  initial address of buffer (choice)

count
  number of elements in buffer (nonnegative integer)

datatype
  datatype of each buffer element (handle)

## Output Parameters

request
  request object (handle)

Location:iwrite_at.c